Bug 960851 - (Horde_Dav) Review Request: php-horde-Horde-Dav - Horde library for WebDAV, CalDAV, CardDAV
Review Request: php-horde-Horde-Dav - Horde library for WebDAV, CalDAV, CardDAV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
: 960850 (view as bug list)
Depends On: Horde_Core
Blocks: Horde_Rpc
  Show dependency treegraph
 
Reported: 2013-05-08 03:05 EDT by Remi Collet
Modified: 2014-02-11 14:14 EST (History)
3 users (show)

See Also:
Fixed In Version: php-horde-Horde-Dav-1.0.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 10:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (51.86 KB, text/x-log)
2014-01-26 22:47 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.43 KB, text/plain)
2014-01-26 22:48 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-05-08 03:05:15 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/horde/php-horde-Horde-Dav/php-horde-Horde-Dav.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Dav-1.0.0-0.2.beta1.remi.src.rpm
Description: 
This package contains all Horde-specific wrapper classes for the Sabre DAV
library.

Fedora Account System Username: remi


P.S.1 : I will clean EL-5 stuff (Buildroot, clean, ...) after import
P.S.2 : SabreDAV 1.8 is not yet available in Fedora, just to prepare future
Comment 1 Remi Collet 2013-09-29 13:27:48 EDT
Not ready: blocked by SabreDav >= 1.8 requires (and owncloud need 1.7)
Comment 2 Remi Collet 2014-01-03 10:59:59 EST
php-sabre-dav 1.8 and php-sabre-vobject 2.1.3 are now available in fedora repo (sabredav channel is no more maintained, but old versions, without namespace, are still used by owncloud).

To ensure the correct version is loaded, need to install only php-sabre-dav, or use php-horde-Horde-Autoloader 2.0.1-4 (in testing) which is patched to ensure correct load order.

Changes: https://github.com/remicollet/remirepo/commit/273c45aa482a2a4a9d2c20d3846553e09950b118

Spec: https://raw.github.com/remicollet/remirepo/273c45aa482a2a4a9d2c20d3846553e09950b118/php/horde/php-horde-Horde-Dav/php-horde-Horde-Dav.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Dav-1.0.3-2.remi.src.rpm
Comment 3 Remi Collet 2014-01-12 01:03:06 EST
*** Bug 960850 has been marked as a duplicate of this bug. ***
Comment 4 Shawn Iwinski 2014-01-26 22:47:24 EST
Created attachment 855893 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 5 Shawn Iwinski 2014-01-26 22:48:13 EST
Created attachment 855894 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 960851
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 6 Shawn Iwinski 2014-01-26 22:49:51 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Remove EPEL 5 bits after initial import.


[x]: Requires correct, justified where necessary.

     I am assuming all extensions found by phpcompatinfo are implicitly required
     by other required packages...  php-spl should be the same then correct?


Obviously wait for dependencies before importing.


No blockers


===== APPROVED =====
Comment 7 Remi Collet 2014-01-27 02:35:18 EST
New Package SCM Request
=======================
Package Name: php-horde-Horde-Dav
Short Description: Horde library for WebDAV, CalDAV, CardDAV
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-01-27 08:06:11 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-01-27 11:03:58 EST
php-horde-Horde-Dav-1.0.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Dav-1.0.3-2.fc20
Comment 10 Fedora Update System 2014-01-27 11:04:18 EST
php-horde-Horde-Dav-1.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Dav-1.0.3-2.el6
Comment 11 Fedora Update System 2014-02-04 22:33:35 EST
php-horde-Horde-Dav-1.0.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-02-11 14:14:25 EST
php-horde-Horde-Dav-1.0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.